import { html as h } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as g } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, u = Object.getOwnPropertyDescriptor, l = (p, e, s, i) => {
  for (var t = i > 1 ? void 0 : i ? u(e, s) : e, n = p.length - 1, o; n >= 0; n--)
    (o = p[n]) && (t = (i ? o(e, s, t) : o(t)) || t);
  return i && t && f(e, s, t), t;
};
let r = class extends g {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--bulbLightning", this.class = "c-pieIcon c-pieIcon--bulbLightning", this.name = "IconBulbLightning";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--bulbLightning"><path d="M10.161 13.469H5.84l.35 1.312H9.81l.35-1.312Z"></path><path d="m5.375 10.117.35 2.04h4.611l.29-2.048c.07-.393.267-.752.56-1.024a4.523 4.523 0 0 0 1.408-3.273 4.594 4.594 0 0 0-9.126-.76A4.533 4.533 0 0 0 4.77 9.066c.306.28.517.646.604 1.05Zm-.612-4.856a3.281 3.281 0 0 1 6.518.551 3.239 3.239 0 0 1-.988 2.337c-.49.47-.821 1.082-.945 1.75l-.158.953H6.801l-.148-.945a3.238 3.238 0 0 0-.963-1.75 3.281 3.281 0 0 1-.927-2.896Z"></path></svg>`;
  }
};
l([
  c({ type: String, reflect: !0 })
], r.prototype, "size", 2);
l([
  c({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = l([
  a("icon-bulb-lightning")
], r);
export {
  r as IconBulbLightning
};
